edu.ucsb.nceas.metacat

## Class XMLQueryresultAccess

- java.lang.Object
- - edu.ucsb.nceas.metacat.shared.BaseAccess
  - - edu.ucsb.nceas.metacat.XMLQueryresultAccess

-     public class XMLQueryresultAccess
      extends BaseAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLQueryresultAccess()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteXMLQueryresulForDoc(java.lang.String docId)` Delete xml access.
    `protected edu.ucsb.nceas.utilities.BaseDAO` | `populateDAO(java.sql.ResultSet resultSet)` Populate a job data object with the current row in a resultset

    - ### Methods inherited from class edu.ucsb.nceas.metacat.shared.BaseAccess

      `closeDBObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLQueryresultAccess

          public XMLQueryresultAccess()
                               throws AccessException

      Throws:
        `AccessException`

  - ### Method Detail

    - #### deleteXMLQueryresulForDoc

          public void deleteXMLQueryresulForDoc(java.lang.String docId)
                                         throws AccessException

      Delete xml access. This removes all access records from the database for a given document
      Parameters:
        `docId` - document id
      Throws:
        `AccessException`

    - #### populateDAO

          protected edu.ucsb.nceas.utilities.BaseDAO populateDAO(java.sql.ResultSet resultSet)
                                                          throws java.sql.SQLException

      Populate a job data object with the current row in a resultset
      Specified by:
        `populateDAO` in class `BaseAccess`
      Parameters:
        `resultSet` - the result set which is already pointing to the desired row.
      Returns:
        a scheduled job data object
      Throws:
        `java.sql.SQLException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.